/************************************************************************
* Headerfile Konfiguration Drucklogger
*
* Version:	1.0
* Compiler:	GCC 4.1.1 (arm-elf-gcc)
* Datum:	23.01.2007 - 26.01.2007
* Autor:	Hermann Gnther, Saxotec GmbH & Co.KG
************************************************************************/

#ifndef CONFIG_H_
#define CONFIG_H_

/***********************************************************
 * Einstellungen fr das USB-Device
 ***********************************************************/

//Unicode als char-Listen: "Hallo" -> 'H', 0, 'a', 0, 'l', 0, 'l', 0, 'o', 0
//Lnge wre beim Beispiel 10

//USB Versionsanzeige
#define USB_HWV					'v', 0, '2', 0, '.', 0, '0', 0
#define USB_HWV_LENGTH			8		
#define USB_SWV					'v', 0, '2', 0, '.', 0, '0', 0
#define USB_SWV_LENGTH			8
//Hersteller
#define USB_MANUFACTURER		'S', 0, 'a', 0, 'x', 0, 'o', 0, 't', 0, 'e', 0, 'c', 0, ' ', 0, 'G', 0, 'm', 0, 'b', 0, 'H', 0
#define USB_MANUFACTURER_LENGTH	24
//Produktname
#define USB_PRODUCT				'D', 0, 'r', 0, 'u', 0, 'c', 0, 'k', 0, 'l', 0, 'o', 0, 'g', 0, 'g', 0, 'e', 0, 'r', 0
#define USB_PRODUCT_LENGTH		22
//Vendor-ID
#define USB_ID_VENDOR			0xFFFF
//Product-ID
#define USB_ID_PRODUCT			0x0004
//Release number
#define USB_RELEASE				0x0100



#endif /*CONFIG_H_*/
