/************************************************************************
* Hauptprogramm Drucklogger
*
* Version:	2.0
* Compiler:	GCC 4.1.1 (arm-elf-gcc)
* Datum:	23.01.2007 - 29.01.2007
* Autor:	Hermann Gnther, Saxotec GmbH & Co.KG
************************************************************************/

#include "Utils/type.h"
#include "Utils/irq.h"
#include "LPCUSB/usbapi.h"
//#include "LPCUSB/usbdebug.h"

#include "serio.h"
#include "console.h"


int main (void)
{
	U8 * pointer;
	U8 * zptr;
	U8 cnt=0;
	U8 ans[]="Antwort mit mehr als 64 Zeichennnnnnnnnnnn eieieieieieieieieieih";
	
	init_VIC();
	ConsoleInit(60000000 / (16 * 115200));
	serio_init(SERIO_USB);
	
	while(1){
		if(serio_get_command(&pointer)!=2){
			zptr=ans;	
			while(*pointer!=EOT){
putchar('>');
putchar('0'+((U32)pointer%100)/10);
putchar('0'+((U32)pointer%100)%10);
putchar('<');
				putchar(*pointer);
				pointer++;
				cnt++;
			}
			serio_send_start(ACK);
			serio_send_block(zptr,64);
			serio_send_stop();
		}
		
	}
	return 0;

}
